com.streambase.sb.monitor

## Class ModuleInfo

- java.lang.Object
- - com.streambase.sb.monitor.ModuleInfo

- All Implemented Interfaces:
    Cloneable

      public class ModuleInfo
      extends Object
      implements Cloneable

  Represents information about a parallel module in a StreamBase Server. Instances of this class should be retrieved from a Snapshot.
  See Also:
    `Snapshot`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ModuleInfo.QueueInfo` Information about a Queue between modules or containers.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `isActive` Is active?

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleInfo(String name)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `clear()` Clear (reset) module info
    `Object` | `clone()`
    `(package private) void` | `extractInfo(StatTuple st)` extract module info from the StatTuple, setting member data as appropriate
    `(package private) void` | `extractInfo(StatTuplev3 st)` extract module info from the StatTuple, setting member data as appropriate
    `protected void` | `extractQueueInfo(String name, StatTuplev3 st)` extract queue info from the StatTuple.
    `String` | `getName()` Returns the name of the thread.
    `int` | `getNumTasks()` Return the number of tasks on the task queue
    `(package private) void` | `prettyPrint()` Pretty-print a module info object to the standard output.
    `Collection<ModuleInfo.QueueInfo>` | `queues()` Return a Collection of QueueInfo's which contains information about each queue
    `(package private) void` | `saveForNextCycle()` Save module information

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isActive

          boolean isActive

      Is active?

  - ### Constructor Detail

    - #### ModuleInfo

          ModuleInfo(String name)

      Constructor
      Parameters:
        `name` - Module name

  - ### Method Detail

    - #### extractInfo

          void extractInfo(StatTuplev3 st)

      extract module info from the StatTuple, setting member data as appropriate
      Parameters:
        `st` - Statistics tuple

    - #### extractQueueInfo

          protected void extractQueueInfo(String name,
                                          StatTuplev3 st)

      extract queue info from the StatTuple. It's used only by Stats v3.
      Parameters:
        `name` -
        `st` -

    - #### extractInfo

          void extractInfo(StatTuple st)

      extract module info from the StatTuple, setting member data as appropriate
      Parameters:
        `st` - Statistics tuple

    - #### queues

          public Collection<ModuleInfo.QueueInfo> queues()

      Return a Collection of QueueInfo's which contains information about each queue
      Returns:
        a Collection of QueueInfos

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### saveForNextCycle

          void saveForNextCycle()

      Save module information

    - #### getName

          public String getName()

      Returns the name of the thread.
      Returns:
        the name of the thread

    - #### getNumTasks

          public int getNumTasks()

      Return the number of tasks on the task queue
      Returns:
        number of tasks on the task queue

    - #### prettyPrint

          void prettyPrint()

      Pretty-print a module info object to the standard output.

    - #### clear

          void clear()

      Clear (reset) module info

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.